Bug 1253795 - Director not using all available space for root partition
Director not using all available space for root partition
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
Director
Unspecified Unspecified
urgent Severity urgent
: ---
: 11.0 (Ocata)
Assigned To: Ben Nemec
Shai Revivo
:
Depends On:
Blocks: 1339488
  Show dependency treegraph
 
Reported: 2015-08-14 13:48 EDT by Ben Nemec
Modified: 2016-10-14 11:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-14 11:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Nemec 2015-08-14 13:48:06 EDT
Description of problem: Deploying to systems with 2.7 TB RAID arrays configured as /dev/sda, the resulting root partition was only sized up to 556 GB.  That size didn't correspond to anything we could determine - it's not the size of an individual drive or anything like that.  We confirmed that fdisk saw the full 2.7 TB, so it was not clear why the full amount was not used.


Version-Release number of selected component (if applicable):


How reproducible: Unsure


Steps to Reproduce:
1. Deploy to system with large RAID array
2.
3.

Actual results: Root partition size of 556 GB


Expected results: Root partition size of 2.7 GB


Additional info:
Comment 4 Mike Burns 2016-04-07 16:47:27 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Felipe Alfaro Solana 2016-06-21 06:55:09 EDT
Perhaps your Overcloud base image (overcloud-full) is a sparse QCOW2 of 556GB in size? :-)

In any case, 2.7TB / 556GB is roughly 5. Are you using 5 disks by any chance?
Comment 7 Ben Nemec 2016-06-21 12:44:25 EDT
(In reply to Felipe Alfaro Solana from comment #6)
> Perhaps your Overcloud base image (overcloud-full) is a sparse QCOW2 of
> 556GB in size? :-)

No, it's definitely not qcow related.  The image is converted to raw before deployment because we're dealing with baremetal systems.

> 
> In any case, 2.7TB / 556GB is roughly 5. Are you using 5 disks by any chance?

I don't recall exactly how many disks were in use, but the 556 GB size did not correspond to a single disk.  Also, the disks were configured as a RAID array at the hardware level and the OS correctly saw them as a single 2.7 TB drive.

I've never been able to reproduce the problem in my environment, even deploying to a system with a 1.2 TB RAID array.  This makes it extremely difficult for me to debug.
Comment 8 Edu Alcaniz 2016-06-23 14:03:37 EDT
(In reply to Mike Burns from comment #4)
> This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

I saw that the target is for OSP 10, any chance to make it for OSP7?
Comment 9 Mike Burns 2016-06-23 14:48:54 EDT
There is no solution today.  We need a solution first before we can conceivably consider this for older releases.
Comment 13 Dmitry Tantsur 2016-10-14 11:27:14 EDT
Please feel free to reopen, when we have a reproducer. I think the root partitions size comes from the flavor btw.

Note You need to log in before you can comment on or make changes to this bug.